Skip to content

Grouped Listings Statistics per Days ​

http
POST /api/analytics/v3/sales-funnel/grouped/history

Base URL: https://seller-analytics-api.wildberries.ru · Module: analytics · Section: Sales Funnel · Specification doc ↗

The method returns statistics for listings by day or by week. Listings are grouped by subcategories, brands and labels. You can get data for a maximum of the last week.

The report data is updated once every 2 hours.

Most of the data appears within an hour of the event:

  • orders
  • click-throughs
  • adds-to-Cart A small part of this data may appear within a few days.

Purchases, cancellations, and returns are displayed in report for the day an item was ordered. For example, if an order was placed on January 1, and the customer returned the item on January 10, data about this return will appear in the report for January 1. You can track the final sales results using details for the realization reports.

The brandNames, subjectIDs, tagIds, and nmIds parameters can be empty [], in which case the response will return all of the seller listings.

The item of the number of subcategories, brands, and labels in the request cannot be more than 16. For example, 4 brands and 4 subcategories or 2 subcategories, 2 labels, and 4 brands.

To get reports for a period of up to a year, use the Seller Analytics CSV methods — the GROUPED_HISTORY_REPORT type. Reports of this type are available only with Jam subscription

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 min3 requests20 s3 requests
Service1 min3 requests20 s3 requests
Base with secret1 min3 requests20 s3 requests
Base1 h2 requests30 min1 request

Request body ​

application/json — schema GroupedHistoryRequest, required

  • selectedPeriod object (required)
    • start string — Period start
    • end string — Period end
  • brandNames string[] — List of brands for filtering
  • subjectIds integer<int64>[] — List of subcategory IDs for filtering
  • tagIds integer<int64>[] — List of label IDs for filtering
  • skipDeletedNm boolean — Skip deleted items
  • aggregationLevel Level

Responses ​

CodeDescriptionSchema
200SuccessPostV3SalesFunnelGroupedHistoryResponse200
400Bad requestErrorObject
401Unauthorizedobject
402Payment requiredobject
403Access deniedErrorObject
429Too many requestsobject

Structure 200:

  • data object[] — Statistics
    • product object
      • nmId integer<int64> — WB item number
      • title string<int64> — Listing name
      • vendorCode string — Seller item number
      • brandName string — Brand
      • subjectId integer<int64> — Subcategory ID
      • subjectName string — Subcategory name
    • history History[] — Statistics per period
      • date string — Statistics collection date
      • openCount integer<int64> — Click-throughs
      • cartCount integer<int64> — Adds-to-Cart
      • orderCount integer<int64> — Items ordered
      • orderSum integer<int64> — Total order value
      • buyoutCount integer<int64> — Items purchased
      • buyoutSum integer<int64> — Total purchase value
      • buyoutPercent integer<int64> — Purchase rate
      • addToCartConversion integer<int64> — Conversion to Cart. What percentage of visitors who opened the listing, added the item to the cart, %
      • cartToOrderConversion integer<int64> — Conversion to order. Percentage of visitors who made an order after adding the item to the cart
      • addToWishlistCount integer<int64> — Adds-to-Favorites
    • currency Currency

Structure 400:

  • title string — Error title
  • detail string — Error details
  • requestId string — Unique request ID
  • origin string — WB internal service ID

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • title string — Error title
  • detail string — Error details
  • requestId string — Unique request ID
  • origin string — WB internal service ID

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.analytics import Configuration, ApiClient
from wb_api_client.analytics.api import AnalyticsApi

cfg = Configuration(access_token="<your WB JWT>")
api = AnalyticsApi(ApiClient(cfg))

result = api.post_v3_sales_funnel_grouped_history(grouped_history_request=...)
print(result)
ts
import {
  Configuration,
  AnalyticsApi,
} from "@valeryverkhoturov/wb-api-client/analytics";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new AnalyticsApi(cfg);

const { data } = await api.postV3SalesFunnelGroupedHistory(groupedHistoryRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbanalytics "github.com/ValeryVerkhoturov/wb-api-client-go/analytics"
)

cfg := wbanalytics.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbanalytics.NewAPIClient(cfg)

result, _, err := client.AnalyticsAPI.PostV3SalesFunnelGroupedHistory(context.Background()).GroupedHistoryRequest(groupedHistoryRequest).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.analytics.ApiClient;
import io.github.valeryverkhoturov.wbapi.analytics.SecretString;
import io.github.valeryverkhoturov.wbapi.analytics.api.AnalyticsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
AnalyticsApi api = new AnalyticsApi(client);

System.out.println(api.postV3SalesFunnelGroupedHistory(groupedHistoryRequest));
php
use ValeryVerkhoturov\WbApiClient\Analytics\Configuration;
use ValeryVerkhoturov\WbApiClient\Analytics\SecretString;
use ValeryVerkhoturov\WbApiClient\Analytics\Api\AnalyticsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new AnalyticsApi(new Client(), $config);

print_r($api->postV3SalesFunnelGroupedHistory($grouped_history_request));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый AnalyticsApi(Настройки);

Сообщить(Клиент.PostV3SalesFunnelGroupedHistory(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Analytics.Api;
using ValeryVerkhoturov.WbApiClient.Analytics.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new AnalyticsApi(config);

Console.WriteLine(api.PostV3SalesFunnelGroupedHistory(groupedHistoryRequest));
rust
use wb_api_client::analytics::apis::{configuration::Configuration, analytics_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = analytics_api::post_v3_sales_funnel_grouped_history(&cfg, grouped_history_request).await;
    println!("{:#?}", result);
}